style: gitlab
template: CHANGELOG.tpl.md
info:
  title: CHANGELOG
  repository_url: https://gitlab.com/cprime/devops-library/devops-library-terraform-module-label-null
options:
  commits:
     filters:
       Type:
         - doc
         - adr
         - feat
         - fix
         - perf
         - refactor
         - test
  commit_groups:
     title_maps:
       doc: Documentation
       adr: Architectural Decision Records
       feat: Features
       fix: Bug Fixes
       perf: Performance Improvements
       refactor: Code Refactoring
       test: Test Coverage
  header:
    pattern: "^(\\w*)\\:\\s(.*)$"
    pattern_maps:
      - Type
      - Subject
  notes:
    keywords:
      - BREAKING CHANGE
